CVE-2013-7459

Priority
Medium
Description
Heap-based buffer overflow in the ALGnew function in block_templace.c in
Python Cryptography Toolkit (aka pycrypto) allows remote attackers to
execute arbitrary code as demonstrated by a crafted iv parameter to
cryptmsg.py.
References
Bugs
Package
Upstream:released (2.6.1-7)
Ubuntu 17.10 (Artful Aardvark):not-affected (2.6.1-7)
Ubuntu 12.04 ESM (Precise Pangolin):needs-triage
Ubuntu 14.04 LTS (Trusty Tahr):released (2.6.1-4ubuntu0.1)
Ubuntu Touch 15.04:pending (2.6.1-5ubuntu0.1)
Ubuntu Core 15.04:released (2.6.1-5ubuntu0.1)
Ubuntu 16.04 LTS (Xenial Xerus):released (2.6.1-6ubuntu0.16.04.1)
Ubuntu 16.10 (Yakkety Yak):released (2.6.1-6ubuntu0.16.10.2)
Ubuntu 17.04 (Zesty Zapus):not-affected (2.6.1-7)
More Information

Updated: 2017-05-10 22:17:48 UTC (commit 12521)